Last Comment Bug 743408 - ALIASEDVAR Patch: Assertion failure: script->needsArgsObj(), at methodjit/Compiler.cpp:4065
: ALIASEDVAR Patch: Assertion failure: script->needsArgsObj(), at methodjit/Com...
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86_64 Linux
: -- critical (vote)
: ---
Assigned To: Luke Wagner [:luke]
:
Mentors:
Depends on:
Blocks: langfuzz 740259
  Show dependency treegraph
 
Reported: 2012-04-06 18:11 PDT by Christian Holler (:decoder)
Modified: 2013-01-14 08:07 PST (History)
2 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Christian Holler (:decoder) 2012-04-06 18:11:30 PDT
The following test asserts on mozilla-central revision d0430a04d92a with patch from bug 740259 (options -m -n -a):


test();
function test() {
  (arguments);
  GenA.prototype = new Gen0();
}
Comment 1 Luke Wagner [:luke] 2012-04-09 14:32:03 PDT
Ah, the assert I added was overzealous.  Will roll the test-case in with bug 740259.  Thanks!
Comment 2 Christian Holler (:decoder) 2013-01-14 08:07:56 PST
A testcase for this bug was automatically identified at js/src/jit-test/tests/basic/testBug743408.js.

Note You need to log in before you can comment on or make changes to this bug.